### Method

# St Clipboard set_content

#### Declaration [src]

    void
    st_clipboard_set_content (
      StClipboard* clipboard,
      StClipboardType type,
      const gchar* mimetype,
      GBytes* bytes
    )

#### Description [src]

Sets the clipboard content to `bytes`.

`mimetype` is a semi-colon separated list of mime-type strings.

#### Parameters

`type`

  Type: `StClipboardType`

  The type of clipboard that you want to set.

`mimetype`

  Type: `const gchar*`

  Content mimetype.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`bytes`

  Type: `GBytes`

  Content data.

  The data is owned by the caller of the method.